using PkmnLib.Plugin.Gen7.Scripts.Utils;

namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

[Script(ScriptCategory.Pokemon, "autotomize")]
public class AutotomizeEffect : Script, IBatonPassException, IScriptStack, IScriptModifyWeight
{
    public int Stacks { get; private set; } = 1;

    /// <inheritdoc />
    public void Stack()
    {
        Stacks++;
    }

    /// <inheritdoc />
    public void ModifyWeight(ref float weight)
    {
        weight -= 100f * Stacks;
    }
}